Triggers = {}
CollectionsUsed = {17, 22}

function Triggers.init()
    local media = Media.new()
    local media_type = get_media_type()
    media.type = media_type
    media.low = -32
    media.high = -32

    for m in Media() do
        m._low = m.low
        m._high = m.high
        m.type = media_type
    end

    for poly in Polygons() do
        if not poly.media then
            poly.media = media
        end
    end
end

function Triggers.idle()
    -- p will be the highest player
    local p = Players[0]

    for plr in Players() do
        if plr.z > p.z then
            p = plr
        end
        if #Players > 1 then
            plr.items["smg"] = 1
            plr.items["smg ammo"] = 8
        end
    end

    for m in Media() do
        if p.z + .4 > m._high then
            m.high = p.z + .4
            m.low = p.z + .4
        else
            m.high = m._high
            m.low = m._low
        end
    end
end

function get_media_type()
    local type = "water"

    for m in Media() do
        if m.type == "water" or m.type == "sewage" or m.type == "jjaro" then
            type = m.type
            break
        end
    end

    return type
end